Package org.eclipse.emf.cdo.explorer.repositories

## Interface CDORepositoryElement

- All Superinterfaces:
    `CDOTimeProvider`

      public interface CDORepositoryElement
      extends CDOTimeProvider

  An element of a CDO repository.
  Since:
    4.4
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getBranchID()` |
    `CDOID` | `getObjectID()` |
    `CDORepository` | `getRepository()` |

    - ### Methods inherited from interface org.eclipse.emf.cdo.common.util.CDOTimeProvider

      `getTimeStamp`

- - ### Method Detail

    - #### getRepository

          CDORepository getRepository()

    - #### getBranchID

          int getBranchID()

    - #### getObjectID

          CDOID getObjectID()